Bug 1118579 - BPMS on WAS8 JMS queue naming pattern incorrectly documented
Summary: BPMS on WAS8 JMS queue naming pattern incorrectly documented
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Documentation
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR2
: One-off release
Assignee: Vikram Goyal
QA Contact: Radovan Synek
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 04:40 UTC by Josh West
Modified: 2014-11-25 00:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22704, IBM Websphere Installation and Configuration Guide-6.0-1 Build Date: 30-06-2014 17:36:49 Topic ID: 30512-634194 [Latest]
Last Closed: 2014-11-25 00:35:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Josh West 2014-07-11 04:40:31 UTC
Title: Setup JMS resources

Describe the issue:

The example pattern JMS destations in the documentation is incorrect: `jms/queue/KIE.AUDIT`.  The deployment artifacts in the WAS8 business-central.war file expect the following JNDI names for the JMS queues since they are referenced specifically by configuration files.  There is flexibily in the naming of connection factories or activation specifications:
jms/KIE.TASK      ./WEB-INF/ejb-jar.xml
jms/KIE.SESSION   ./WEB-INF/ejb-jar.xml
jms/KIE.AUDIT     ./WEB-INF/ejb-jar.xml & ./WEB-INF/classes/jbpm.audit.jms.properties


Instead, the documentation for installing BPMS on WAS8 states the following for how to configure the JMS resources. 

> Enter the name (example: KIE.AUDIT) and the JNDI name 
> (jms/activation/KIE.AUDIT) and then making sure that 
> Queue is selected as the Destination type, enter the 
> corresponding queue you created in the previous step 
> (example: jms/queue/KIE.AUDIT).

Suggestions for improvement:

Call out specifically that the queue names must match the `jms/QUEUENAME` pattern, and why.

Additional information:

Comment 2 Vikram Goyal 2014-07-24 02:30:02 UTC
Thanks. Changes made to section Setup JMS Resources with a note added to explain the correct choices.

When the docs are built next, I will update with a link to verify.

Moving this to MODIFIED.

Comment 3 Vikram Goyal 2014-07-25 02:50:26 UTC
The Setup JMS Resources section can now be reviewed on the documentation stage [1] to confirm the changes made to reflect the correct queue names.

Moving this to ON_QA.

[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.0/html-single/IBM_Websphere_Installation_and_Configuration_Guide/index.html#Setup_JMS_resources

Comment 4 Radovan Synek 2014-07-28 08:56:42 UTC
In case all examples should show the default naming, in chapter 3.5. Add custom JVM properties, a property defining a response queue must be changed too:
kie.services.jms.queues.response=jms/queue/KIE.RESPONSE.ALL
=> kie.services.jms.queues.response=jms/KIE.RESPONSE.ALL

Comment 6 Radovan Synek 2014-07-29 06:17:29 UTC
Vikram,

"Generic JVM arguments field" in BPM Suite guide contains as example -Dkie.services.jms.queues.response=KIE.RESPONSE.ALL, which is in my opinion misleading. JNDI name must be provided as a value for this property, which is - by default - jms/KIE.RESPONSE.ALL. KIE.RESPONSE.ALL without the jms/ prefix could be understood as a logical name used to register the queue in WebSphere.

Comment 7 Vikram Goyal 2014-07-29 06:40:41 UTC
Agreed. :) Have made the change and it can be checked here [1] (in about 15 minutes time).

Moving back to ON_QA.

[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.0/html/IBM_Websphere_Installation_and_Configuration_Guide/Add_custom_JVM_properties.html


Note You need to log in before you can comment on or make changes to this bug.